version: '3'

services:
    swagger:
      container_name: Swagger-Rest
      build:
        context: ./
        dockerfile: Dockerfile 
      ports:
         - "8001:80"
      networks:
         - rest-ntwrk
      volumes: 
         - /mnt/data:/mnt/data/swagger
    #   environment:
    #     ConnectionString: server=localhost;database=SwaggerDB;user=root;password=example
    #     #  - server: localhost
    #     #  - database: SwaggerDB
    #     #  - user: root
    #     #  - password: example
      environment: 
          DBHOST: database
          ASPNETCORE_ENVIRONMENT: Development
          ConnectionString: "server=MySql-db;database=SwaggerDB;user=root;password=example"
      depends_on:
         - database
  
    database:
        container_name: MySql-db 
        image: mysql
        #command: mysqld --character-set-server=utf8 --collation-server=utf8_general_ci --init-connect='SET NAMES UTF8;' --max_allowed_packet=33554432
        environment:
            MYSQL_ROOT_PASSWORD: example
            MYSQL_USER: udemy
            MYSQL_PASSWORD: test
           # MYSQL_DATABASE: SwaggerDB           
        ports:
            - "3306:3306"
        networks: 
            - rest-ntwrk
        volumes: 
            - rest-volume:/var/lib/mysql 
            - ./_MySQL_Init_Script:/docker-entrypoint-initdb.d
            
networks:
    rest-ntwrk:
        driver: bridge
         
volumes:
    rest-volume:
              